blackbox.constraints

## Class Constraint

- java.lang.Object
- - blackbox.constraints.Constraint

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConstraintConnectedToOneInput, ConstraintConnectedToOneOutput, ConstraintFuncOneLinkOut, ConstraintFuncTwoLinkIn, ConstraintOutOneLinkIn

    public abstract class Constraint
    extends java.lang.Object
    implements java.io.Serializable

The Class Constraint.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Constraint()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `checkConstraint()` Check constraint.
`double` `getCriticity()` Gets the criticity.
`void` `setCriticity(double criticity)` Sets the criticity.
`abstract boolean` `solveConstraint(BlackBox bb)` Solve constraint.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Constraint

    public Constraint()

### Method Detail

#### getCriticity

    public double getCriticity()

Gets the criticity.

Returns:
  the criticity

#### setCriticity

    public void setCriticity(double criticity)

Sets the criticity.

Parameters:
  `criticity` - the new criticity

#### checkConstraint

    public abstract boolean checkConstraint()

Check constraint.

Returns:
  true, if successful

#### solveConstraint

    public abstract boolean solveConstraint(BlackBox bb)

Solve constraint.

Parameters:
  `bb` - the bb
Returns:
  true, if successful